/** @packageDocumentation
 * @module Core
 */
import { IDisposable } from "@bentley/bentleyjs-core";
/**
 * A helper to track ongoing async tasks. Usage:
 * ```
 * await using(tracker.trackAsyncTask(), async (_r) => {
 *   await doSomethingAsync();
 * });
 * ```
 *
 * Can be used with `waitForPendingAsyncs` in test helpers to wait for all
 * async tasks to complete.
 *
 * @internal
 */
export declare class AsyncTasksTracker {
    private _asyncsInProgress;
    get pendingAsyncs(): Set<string>;
    trackAsyncTask(): IDisposable;
}
//# sourceMappingURL=AsyncTasks.d.ts.map