"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Core
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggingNamespaces = void 0;
/* eslint-disable @typescript-eslint/naming-convention */
/**
 * Enum of logging namespaces used by Presentation library.
 * Use `@bentley/bentleyjs-core/Logger` to enable logging for these namespaces.
 *
 * @public
 * @deprecated Use [[PresentationBackendLoggerCategory]], [[PresentationBackendNativeLoggerCategory]],
 * [[PresentationFrontendLoggerCategory]] or [[PresentationComponentsLoggerCategory]]
 */
var LoggingNamespaces;
(function (LoggingNamespaces) {
    LoggingNamespaces["ECObjects"] = "ECObjects";
    LoggingNamespaces["ECObjects_ECExpressions"] = "ECObjects.ECExpressions";
    LoggingNamespaces["ECObjects_ECExpressions_Parse"] = "ECObjects.ECExpressions.Parse";
    LoggingNamespaces["ECObjects_ECExpressions_Evaluate"] = "ECObjects.ECExpressions.Evaluate";
    LoggingNamespaces["ECPresentation"] = "ECPresentation";
    LoggingNamespaces["ECPresentation_Connections"] = "ECPresentation.Connections";
    LoggingNamespaces["ECPresentation_RulesEngine"] = "ECPresentation.RulesEngine";
    LoggingNamespaces["ECPresentation_RulesEngine_Content"] = "ECPresentation.RulesEngine.Content";
    LoggingNamespaces["ECPresentation_RulesEngine_Localization"] = "ECPresentation.RulesEngine.Localization";
    LoggingNamespaces["ECPresentation_RulesEngine_Navigation"] = "ECPresentation.RulesEngine.Navigation";
    LoggingNamespaces["ECPresentation_RulesEngine_Navigation_Cache"] = "ECPresentation.RulesEngine.Navigation.Cache";
    LoggingNamespaces["ECPresentation_RulesEngine_Threads"] = "ECPresentation.RulesEngine.Threads";
    LoggingNamespaces["ECPresentation_RulesEngine_Update"] = "ECPresentation.RulesEngine.Update";
    LoggingNamespaces["ECPresentation_RulesEngine_RulesetVariables"] = "ECPresentation.RulesEngine.RulesetVariables";
})(LoggingNamespaces = exports.LoggingNamespaces || (exports.LoggingNamespaces = {}));
/* eslint-enable @typescript-eslint/naming-convention */
//# sourceMappingURL=Logging.js.map