/** @packageDocumentation
 * @module Core
 */
import { IDisposable } from "@bentley/bentleyjs-core";
import { Rule } from "./rules/Rule";
import { Ruleset, SupplementationInfo } from "./rules/Ruleset";
import { SchemasSpecification } from "./rules/SchemasSpecification";
import { VariablesGroup } from "./rules/Variables";
/**
 * A ruleset that is registered in a ruleset manager.
 * @public
 */
export declare class RegisteredRuleset implements IDisposable, Ruleset {
    private _ruleset;
    private _uniqueIdentifier;
    private _disposeFunc;
    /** Create a registered ruleset */
    constructor(ruleset: Ruleset, uniqueIdentifier: string, disposeFunc: (ruleset: RegisteredRuleset) => void);
    /** Dispose registered ruleset. */
    dispose(): void;
    get uniqueIdentifier(): string;
    get id(): string;
    get supportedSchemas(): SchemasSpecification | undefined;
    get supplementationInfo(): SupplementationInfo | undefined;
    get rules(): Rule[];
    get vars(): VariablesGroup[] | undefined;
    toJSON(): Ruleset;
}
//# sourceMappingURL=RegisteredRuleset.d.ts.map