"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Content
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultContentDisplayTypes = void 0;
/**
 * Displayed content types. Affects how the content is formatted, e.g.
 * the [[ContentFlags]].
 *
 * @public
 */
var DefaultContentDisplayTypes;
(function (DefaultContentDisplayTypes) {
    /** Unknown content type. */
    DefaultContentDisplayTypes["Undefined"] = "Undefined";
    /** Grid or table view content type. By default adds [[ContentFlags.ShowLabels]] flag. */
    DefaultContentDisplayTypes["Grid"] = "Grid";
    /** Property pane content type. By default adds [[ContentFlags.MergeResults]] flag. */
    DefaultContentDisplayTypes["PropertyPane"] = "PropertyPane";
    /** List content type. By default adds [[ContentFlags.NoFields]] and [[ContentFlags.ShowLabels]] flags */
    DefaultContentDisplayTypes["List"] = "List";
    /** Viewport content type. By default adds [[ContentFlags.KeysOnly]] flag. */
    DefaultContentDisplayTypes["Viewport"] = "Graphics";
})(DefaultContentDisplayTypes = exports.DefaultContentDisplayTypes || (exports.DefaultContentDisplayTypes = {}));
//# sourceMappingURL=DisplayTypes.js.map