"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RelationshipDirection = void 0;
/**
 * Defines direction of a relationship that should be followed
 * @public
 */
var RelationshipDirection;
(function (RelationshipDirection) {
    /**
     * Relationship should be followed in both directions.
     * @deprecated Using both sides direction should be unnecessary when using [[RelationshipPathSpecification]]. Will be removed in iModel.js 3.0
     */
    RelationshipDirection["Both"] = "Both";
    /** Relationship should be followed only in forward direction. */
    RelationshipDirection["Forward"] = "Forward";
    /** Relationship should be followed only in backward direction. */
    RelationshipDirection["Backward"] = "Backward";
})(RelationshipDirection = exports.RelationshipDirection || (exports.RelationshipDirection = {}));
//# sourceMappingURL=RelationshipDirection.js.map