"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuleTypes = void 0;
/**
 * Used for serializing [[Rule]] objects to JSON.
 * @public
 */
var RuleTypes;
(function (RuleTypes) {
    // hierarchy rules
    RuleTypes["RootNodes"] = "RootNodes";
    RuleTypes["ChildNodes"] = "ChildNodes";
    // content rules
    RuleTypes["Content"] = "Content";
    RuleTypes["ContentModifier"] = "ContentModifier";
    RuleTypes["DefaultPropertyCategoryOverride"] = "DefaultPropertyCategoryOverride";
    // customization rules
    RuleTypes["Grouping"] = "Grouping";
    RuleTypes["PropertySorting"] = "PropertySorting";
    RuleTypes["DisabledSorting"] = "DisabledSorting";
    RuleTypes["NodeArtifacts"] = "NodeArtifacts";
    RuleTypes["InstanceLabelOverride"] = "InstanceLabelOverride";
    RuleTypes["LabelOverride"] = "LabelOverride";
    RuleTypes["CheckBox"] = "CheckBox";
    RuleTypes["ImageIdOverride"] = "ImageIdOverride";
    RuleTypes["StyleOverride"] = "StyleOverride";
    RuleTypes["ExtendedData"] = "ExtendedData";
})(RuleTypes = exports.RuleTypes || (exports.RuleTypes = {}));
//# sourceMappingURL=Rule.js.map