"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.VariableValueType = void 0;
/**
 * Available value types of user-controllable variables
 * @public
 */
var VariableValueType;
(function (VariableValueType) {
    /** Bool value, that uses Yes / No strings in the UI */
    VariableValueType["YesNo"] = "YesNo";
    /** Bool value, that uses Show / Hide strings in the UI */
    VariableValueType["ShowHide"] = "ShowHide";
    /** Any string value */
    VariableValueType["String"] = "StringValue";
    /** Any integer value */
    VariableValueType["Int"] = "IntValue";
})(VariableValueType = exports.VariableValueType || (exports.VariableValueType = {}));
//# sourceMappingURL=Variables.js.map