"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyGroupingValue = exports.SameLabelInstanceGroupApplicationStage = exports.GroupingSpecificationTypes = void 0;
/**
 * Available types of [[GroupingSpecification]]
 * @public
 */
var GroupingSpecificationTypes;
(function (GroupingSpecificationTypes) {
    GroupingSpecificationTypes["Class"] = "Class";
    GroupingSpecificationTypes["Property"] = "Property";
    GroupingSpecificationTypes["SameLabelInstance"] = "SameLabelInstance";
})(GroupingSpecificationTypes = exports.GroupingSpecificationTypes || (exports.GroupingSpecificationTypes = {}));
/**
 * Specifies hierarchy creation stages used to apply [[SameLabelInstanceGroup]] grouping.
 * @public
 */
var SameLabelInstanceGroupApplicationStage;
(function (SameLabelInstanceGroupApplicationStage) {
    /** Apply grouping at query stage. */
    SameLabelInstanceGroupApplicationStage["Query"] = "Query";
    /**
     * Apply grouping at post-processing stage.
     *
     * This allows grouping nodes created by different hierarchy specifications at
     * a higher performance cost as it requires loading the whole hierarchy level before
     * returning even the first node - avoid using with large numbers of nodes.
     */
    SameLabelInstanceGroupApplicationStage["PostProcess"] = "PostProcess";
})(SameLabelInstanceGroupApplicationStage = exports.SameLabelInstanceGroupApplicationStage || (exports.SameLabelInstanceGroupApplicationStage = {}));
/**
 * Used in [[PropertyGroup]] to specify the type of value to use
 * for grouping and sorting
 *
 * @public
 */
var PropertyGroupingValue;
(function (PropertyGroupingValue) {
    /** By property value */
    PropertyGroupingValue["PropertyValue"] = "PropertyValue";
    /** By display label */
    PropertyGroupingValue["DisplayLabel"] = "DisplayLabel";
})(PropertyGroupingValue = exports.PropertyGroupingValue || (exports.PropertyGroupingValue = {}));
//# sourceMappingURL=GroupingRule.js.map